Loading...
Searching...
No Matches
pcl::octree::OctreeContainerBase Class Referenceabstract

Octree container class that can serve as a base to construct own leaf node container classes. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerBase:

## Public Member Functions

virtual | ~OctreeContainerBase ()=default
virtual bool | operator== (const OctreeContainerBase &) const
| Equal comparison operator.
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator.
virtual uindex_t | getSize () const
| Pure abstract method to get size of container (number of indices)
virtual void | reset ()=0
| Pure abstract reset leaf node implementation.
virtual void | addPointIndex (index_t)
| Empty addPointIndex implementation.
void | getPointIndex (index_t &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices.
virtual index_t | getPointIndex () const
| Empty getPointIndex implementation as this leaf node does not store any point indices.
virtual void | getPointIndices (Indices &) const
| Empty getPointIndices implementation as this leaf node does not store any data.

## Detailed Description

Octree container class that can serve as a base to construct own leaf node container classes.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 56 of file octree_container.h.

## Constructor & Destructor Documentation

## ~OctreeContainerBase()

virtual pcl::octree::OctreeContainerBase::~OctreeContainerBase | ( |  | ) |

virtual default

## Member Function Documentation

## addPointIndex()

virtual void pcl::octree::OctreeContainerBase::addPointIndex | ( | index_t |  | ) |

inline virtual

Empty addPointIndex implementation.

This leaf node does not store any point indices.

Reimplemented in pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreeContainerPointIndices, pcl::octree::OctreeContainerEmpty, and pcl::octree::OctreePointCloudDensityContainer.

Definition at line 94 of file octree_container.h.

## getPointIndex() [1/2]

virtual index_t pcl::octree::OctreeContainerBase::getPointIndex | ( |  | ) | const

inline virtual

Empty getPointIndex implementation as this leaf node does not store any point indices.

Reimplemented in pcl::octree::OctreeContainerEmpty, pcl::octree::OctreeContainerPointIndex, and pcl::octree::OctreeContainerPointIndices.

Definition at line 108 of file octree_container.h.

## getPointIndex() [2/2]

void pcl::octree::OctreeContainerBase::getPointIndex | ( | index_t & |  | ) | const

inline

Empty getPointIndex implementation as this leaf node does not store any point indices.

Definition at line 101 of file octree_container.h.

## getPointIndices()

virtual void pcl::octree::OctreeContainerBase::getPointIndices | ( | Indices & |  | ) | const

inline virtual

Empty getPointIndices implementation as this leaf node does not store any data.

\

Reimplemented in pcl::octree::OctreeContainerEmpty, pcl::octree::OctreeContainerPointIndex, and pcl::octree::OctreeContainerPointIndices.

Definition at line 118 of file octree_container.h.

## getSize()

virtual uindex_t pcl::octree::OctreeContainerBase::getSize | ( |  | ) | const

inline virtual

Pure abstract method to get size of container (number of indices)

Returns
  number of points/indices stored in leaf node container.

Reimplemented in pcl::octree::OctreeContainerEmpty, pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreeContainerPointIndices, and pcl::octree::OctreePointCloudAdjacencyContainer< PointInT, DataT >.

Definition at line 81 of file octree_container.h.

## operator!=()

bool pcl::octree::OctreeContainerBase::operator!= | ( | const OctreeContainerBase & | other | ) | const

inline

Inequal comparison operator.

Parameters

  [in] | other | OctreeContainerBase to compare with

Definition at line 72 of file octree_container.h.

## operator==()

virtual bool pcl::octree::OctreeContainerBase::operator== | ( | const OctreeContainerBase & |  | ) | const

inline virtual

Equal comparison operator.

Reimplemented in pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >, pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreeContainerPointIndices, and pcl::octree::OctreePointCloudDensityContainer.

Definition at line 63 of file octree_container.h.

## reset()

virtual void pcl::octree::OctreeContainerBase::reset | ( |  | ) |

pure virtual

Pure abstract reset leaf node implementation.

Implemented in pcl::octree::OctreeContainerEmpty, pcl::octree::OctreeContainerPointIndex, pcl::octree::OctreeContainerPointIndices, pcl::octree::OctreePointCloudAdjacencyContainer< PointInT, DataT >, pcl::octree::OctreePointCloudDensityContainer, and pcl::octree::OctreePointCloudVoxelCentroidContainer< PointT >.

The documentation for this class was generated from the following file:

- pcl/octree/octree_container.h